// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.command;

import edu.wpi.first.wpilibj2.command.Command;
import frc.robot.subsystem.Drive;
import frc.robot.subsystem.Limelight;

public class Limelight_tracker extends Command {
  /** Creates a new Limelight_tracker. */
  private Limelight tracker;
  private Drive drive;

  public Limelight_tracker(Limelight tracker, Drive drive) {
    this.drive = drive;
    this.tracker = tracker;
    addRequirements(tracker,drive);
  }

  // Called when the command is initially scheduled.
  @Override
  public void initialize() {}

  // Called every time the scheduler runs while the command is scheduled.
  @Override
  public void execute() {

    if (tracker.getv()){
      drive.drive(0,0, tracker.getx());
      
      }
      else{
        drive.drive(0, 0, 0);
      }
  }

  // Called once the command ends or is interrupted.
  @Override
  public void end(boolean interrupted) {
     drive.drive(0, 0, 0);
  }

  // Returns true when the command should end.
  @Override
  public boolean isFinished() {
    return false;
  }
}
